Websites
GET https://seotrix.ch/api/websites/
curl --request GET \
--url 'https://seotrix.ch/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://seotrix.ch/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| search | Optional Zeichenkette | Der Suchbegriff. |
| search_by | Optional Zeichenkette | Nach welchem Feld suchen Sie? Erlaubte Werte sind: host. |
| order_by | Optional Zeichenkette | Nach welchem Feld die Ergebnisse sortiert werden sollen. Erlaubte Werte sind: website_id , datetime , last_datetime , last_audit_datetime , host , score , total_audits , total_archived_audits , total_issues. |
| order_type | Optional Zeichenkette | Die Anordnung der Ergebnisse. Erlaubte Werte sind: ASC für aufsteigende Anordnung und DESC für absteigende Anordnung. |
| page | Optional Ganzzahl | Die Seitennummer, von der Sie Ergebnisse wünschen. Standardmässig 1. |
| results_per_page | Optional Ganzzahl | Wie viele Ergebnisse möchten Sie pro Seite anzeigen. Erlaubte Werte sind: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Standardmässig 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"domain_id": 0,
"scheme": "https",
"host": "example.com",
"score": 100,
"total_audits": 10,
"total_archived_audits": 5,
"total_issues": 0,
"major_issues": 0,
"moderate_issues": 0,
"minor_issues": 0,
"last_audit_datetime": "2024-11-10 02:26:19",
"datetime": "2026-03-15 13:27:35",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://seotrix.ch/api/websites?page=1",
"last": "https://seotrix.ch/api/websites?page=1",
"next": null,
"prev": null,
"self": "https://seotrix.ch/api/websites?page=1"
}
}
GET https://seotrix.ch/api/websites/{website_id}
curl --request GET \
--url 'https://seotrix.ch/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://seotrix.ch/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"domain_id": 0,
"scheme": "https",
"host": "example.com",
"score": 100,
"total_audits": 10,
"total_archived_audits": 5,
"total_issues": 0,
"major_issues": 0,
"moderate_issues": 0,
"minor_issues": 0,
"last_audit_datetime": "2024-11-10 02:26:19",
"datetime": "2026-03-15 13:27:35",
}
}
POST https://seotrix.ch/api/websites/{website_id}
| Parameter | Details | Beschreibung |
|---|---|---|
| domain_id | Optional Ganzzahl | - |
| password | Optional Zeichenkette | - |
| is_public | Optional Boolesch | - |
| audit_check_interval | Optional Ganzzahl | Erlaubte Werte: {empty_string},21600, 43200, 86400, 259200, 432000, 864000, 1296000, 2592000 (Sekunden) |
| notifications | Optional Array | Benachrichtigung-IDs |
| directory_is_enabled_and_verified | Optional Boolesch | - |
curl --request POST \
--url 'https://seotrix.ch/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_public=1' \
--form 'password=example' \
--url 'https://seotrix.ch/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_public=1' \
--form 'password=example' \
{
"data": {
"id": 1
}
}
DELETE https://seotrix.ch/api/websites/{website_id}
curl --request DELETE \
--url 'https://seotrix.ch/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://seotrix.ch/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \